Bug 1352120 - The javadoc package is useless; it contains one index.html
Summary: The javadoc package is useless; it contains one index.html
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tomcat
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Coty Sutherland
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-01 16:37 UTC by Coty Sutherland
Modified: 2016-09-02 09:22 UTC (History)
5 users (show)

Fixed In Version: tomcat-7.0.70-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-02 09:22:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Coty Sutherland 2016-07-01 16:37:31 UTC
Description of problem:
I've found that the javadoc package for tomcat only contains a single html file, which is pretty useless. The contents are as follows:

# rpm -ql tomcat-javadoc
/usr/share/javadoc/tomcat
/usr/share/javadoc/tomcat/index.html

# cat /usr/share/javadoc/tomcat/index.html
....
Tomcat's internal javadoc is not installed by default. Download and install
the "fulldocs" package to get it. 

You can also access the javadoc online in the Tomcat
<a href="http://tomcat.apache.org/tomcat-7.0.65-doc/">
documentation bundle</a>.
....

Version-Release number of selected component (if applicable):
tomcat-javadoc-7.0.65-1.el6

How reproducible:
Everytime

Steps to Reproduce:
1. Install tomcat-javadoc
2. rpm -ql tomcat-javadoc
3. `cat /usr/share/javadoc/tomcat/index.html` to verify

Actual results:
Tomcat javadocs are not installed.

Expected results:
Tomcat javadocs are installed.

Additional info:

Comment 2 Ivan Afonichev 2016-07-01 17:34:04 UTC
Great find! Thanks!

Comment 4 Fedora Update System 2016-08-05 20:11:05 UTC
tomcat-7.0.70-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 5 Fedora Update System 2016-08-09 02:18:10 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3ff1f4485b

Comment 6 Fedora Update System 2016-09-01 16:20:25 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-09-02 09:22:15 UTC
tomcat-7.0.70-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.